import { BasicColumn, FormSchema } from '@/components/Table';

export const configTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
  {
    title: '是否必填',
    dataIndex: 'required',
  },
  {
    title: '默认值',
    dataIndex: 'value',
  },
  {
    title: '示例值',
    dataIndex: 'examValue',
  },
];
export const backTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
];
export const powerTableColumn: BasicColumn[] = [
  {
    title: '权限类型',
    dataIndex: 'type',
  },
  {
    title: '目标域',
    dataIndex: 'range',
  },
  {
    title: '对应申请',
    dataIndex: 'apply',
    slots: { customRender: 'apply' },
  },
  {
    title: '数据范围',
    dataIndex: 'dataRange',
  },
  {
    title: '权限状态',
    dataIndex: 'powerStatus',
    slots: { customRender: 'powerStatus' },
  },
  {
    title: '无效原因',
    dataIndex: 'remark',
  },
];
export const applyHistoryColumn: BasicColumn[] = [
  {
    title: 'API名称',
    dataIndex: 'name',
  },
  {
    title: '编目',
    dataIndex: 'path',
  },
  {
    title: '权属机构',
    dataIndex: 'dept',
  },
  {
    title: '发布者',
    dataIndex: 'uploader',
  },
  {
    title: '发布时间',
    dataIndex: 'uploadTime',
  },
  {
    title: '我的权限',
    dataIndex: 'downLoad',
  },
];
export const monitorTableColumn: BasicColumn[] = [
  {
    title: 'API名称',
    dataIndex: 'name',
  },
  {
    title: '调用时间',
    dataIndex: 'time',
  },
  {
    title: '调用时长',
    dataIndex: 'timeLength',
  },
  {
    title: '当前状态',
    dataIndex: 'status',
  },
];
export const configTableData = [
  {
    field: 'username',
    code: 'USR001',
    type: 'string',
    remark: '用户的登录名',
    required: 'true',
    value: 'john_doe_123',
    examValue: 'john_doe_456',
  },
  {
    field: 'email',
    code: 'USR002',
    type: 'string',
    remark: '用户的电子邮箱',
    required: 'true',
    value: 'jane.doe@example.com',
    examValue: 'jane.doe@domain.com',
  },
  {
    field: 'age',
    code: 'USR003',
    type: 'integer',
    remark: '用户的年龄',
    required: 'false',
    value: '28',
    examValue: '30',
  },
  {
    field: 'phone_number',
    code: 'USR004',
    type: 'string',
    remark: '用户的电话号码',
    required: 'true',
    value: '+8613800138000',
    examValue: '+8613800138001',
  },
];
export const backTableData = [
  {
    field: 'username',
    code: 'USR001',
    type: 'string',
    remark: '成功返回：用户的登录名',
  },
  {
    field: 'email',
    code: 'USR002',
    type: 'string',
    remark: '成功返回：用户的电子邮箱',
  },
  {
    field: 'age',
    code: 'USR003',
    type: 'integer',
    remark: '成功返回：用户的年龄',
  },
  {
    field: 'phone_number',
    code: 'USR004',
    type: 'string',
    remark: '成功返回：用户的电话号码',
  },
  {
    field: 'address',
    code: 'USR005',
    type: 'string',
    remark: '成功返回：用户的居住地址',
  },
];
